Skip to main content
PUT
Update Promotion

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

promotion_id
string
required

Body

application/json
name
string | null
description
string | null
isActive
boolean | null
startDate
string<date-time> | null
endDate
string<date-time> | null
rrule
string | null
timezone
string | null
maxRedemptions
integer | null
maxPerPatient
integer | null
autoApply
boolean | null
code
string | null
creditAmount
integer | null
creditExpiryDays
integer | null
loyaltyPointsBonus
integer | null
loyaltyPointsExpiryDays
integer | null
providerIds
string[] | null
teamIds
string[] | null
rules
PromotionRuleCreate · object[] | null
discountTemplates
PromotionDiscountTemplateCreate · object[] | null

Response

Successful Response

id
string
required
name
string
required
isActive
boolean
required
description
string | null
startDate
string<date-time> | null
endDate
string<date-time> | null
rrule
string | null
timezone
string | null
maxRedemptions
integer | null
maxPerPatient
integer | null
redemptionsCount
integer
default:0
autoApply
boolean
default:true
code
string | null
creditAmount
integer | null
creditExpiryDays
integer | null
loyaltyPointsBonus
integer | null
loyaltyPointsExpiryDays
integer | null
providerIds
string[]
teamIds
string[]
createdDate
string<date-time> | null
updatedDate
string<date-time> | null
rules
PromotionRuleSummary · object[]
discountTemplates
PromotionDiscountTemplateSummary · object[]